<?php require_once('Connections/conn.php'); ?>
<?php
session_start();
// Captura la datos del usuario que se logueó (Cédula, Tipo de Usuario y Username).
  $cedula_usuario=$_SESSION['CEDULA_USUARIO'];
  $username=$_SESSION['MM_Username'];
  $tipo_usuario=$_SESSION['PRIVILEGIO']; 
 
  mysql_select_db("siga_pregrado");
  mysql_query ("SET NAMES 'utf8'"); 
  $sql = "select apellidos,nombres from usuarios where cedula='$cedula_usuario'";
  $rs=mysql_query($sql,$conn);
  $row=mysql_fetch_array($rs);
  $intruso=$row['apellidos'].', '.$row['nombres'];

  if (!isset($_SESSION['MM_Username']) || $_SESSION['MM_Username']=="") {
      // Registra el acceso indebido.
		$consulta=addslashes($sql);
  		$fecha=date("Y-m-d G:i:A");
  		$accion="Intento de acceso sin iniciar sesión.";
  		$script="alumnos.php";
  		$ip=obtener_ip();
  		$sql1 = "insert into `intrusos` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script')";
  		mysql_query($sql1, $conn) or die(mysql_error());
	    // Destruye la sessión.
	    session_destroy();
	    header ("Location: modulos/inicio/index.php");
	  }  

  if ($tipo_usuario!="10" && $tipo_usuario!="1") {
        // Registra el acceso indebido.
		$consulta=addslashes($sql);
  		$fecha=date("Y-m-d G:i:A");
  		$accion="Intento de Acceso indebido";
  		$script="alumnos.php";
  		$ip=obtener_ip();
  		$sql1 = "insert into `intrusos` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script')";
  		mysql_query($sql1, $conn) or die(mysql_error());
        // Destruye la sesión.
		session_destroy();
        $inicial = "salida_intruso.php?intruso=$intruso";
        header(sprintf("Location: %s", $inicial));
  }  



mysql_select_db($database_conn, $conn);
mysql_query ("SET NAMES 'utf8'");
$query_rstDocentes = "SELECT docentes.id_docente, docentes.apellidos,docentes.nombres FROM docentes ORDER BY apellidos,nombres";
$rstDocentes = mysql_query($query_rstDocentes, $conn) or die(mysql_error());
$row_rstDocentes = mysql_fetch_assoc($rstDocentes);
$totalRows_rstDocentes = mysql_num_rows($rstDocentes);


$query_rstSede = "SELECT sedes.codigo, sedes.nombre_sede FROM sedes  ORDER BY sedes.nombre_sede";
$rstSede = mysql_query($query_rstSede, $conn) or die(mysql_error());
$row_rstSede = mysql_fetch_assoc($rstSede);
$totalRows_rstSede = mysql_num_rows($rstSede);


$query_rstPeriodos = "SELECT  periodos.id_periodo, periodos.codigo,tipo FROM periodos WHERE status='CERRADO' ORDER BY periodos.id_periodo desc";
$rstPeriodos = mysql_query($query_rstPeriodos, $conn) or die(mysql_error());
$row_rstPeriodos = mysql_fetch_assoc($rstPeriodos);
$totalRows_rstPeriodos = mysql_num_rows($rstPeriodos);


$query_rstMaterias = "SELECT materias.id_materia, materias.nombre_materia FROM materias  ORDER BY materias.nombre_materia";
$rstMaterias = mysql_query($query_rstMaterias, $conn) or die(mysql_error());
$row_rstMaterias = mysql_fetch_assoc($rstMaterias);
$totalRows_rstMaterias = mysql_num_rows($rstMaterias);


$query_rstSecciones = "SELECT DISTINCT secciones.seccion FROM secciones ORDER BY seccion";
$rstSecciones = mysql_query($query_rstSecciones, $conn) or die(mysql_error());
$row_rstSecciones = mysql_fetch_assoc($rstSecciones);
$totalRows_rstSecciones = mysql_num_rows($rstSecciones);


$query_rstCarreras = "SELECT id_carrera, nombre_carrera FROM carreras";
$rstCarreras = mysql_query($query_rstCarreras, $conn) or die(mysql_error());
$row_rstCarreras = mysql_fetch_assoc($rstCarreras);
$totalRows_rstCarreras = mysql_num_rows($rstCarreras);




  if (isset($_GET["order"])) $order = @$_GET["order"];
  if (isset($_GET["type"])) $ordtype = @$_GET["type"];

  if (isset($_POST["filter"])) $filter = @$_POST["filter"];
  if (isset($_POST["filter_field"])) $filterfield = @$_POST["filter_field"];
  $wholeonly = false;
  if (isset($_POST["wholeonly"])) $wholeonly = @$_POST["wholeonly"];

  if (!isset($order) && isset($_SESSION["order"])) $order = $_SESSION["order"];
  if (!isset($ordtype) && isset($_SESSION["type"])) $ordtype = $_SESSION["type"];
  if (!isset($filter) && isset($_SESSION["filter"])) $filter = $_SESSION["filter"];
  if (!isset($filterfield) && isset($_SESSION["filter_field"])) $filterfield = $_SESSION["filter_field"];

?>

<html>
<head>
<title>sadce -- carga de calificaciones</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />

<style type="text/css">
  body {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .bd {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .tbl {
    background-color: #FFFFFF;
  }
  a:link { 
    color: #FF0000;
    font-family: Arial;
    font-size: 12px;
  }
  a:active { 
    color: #0000FF;
    font-family: Arial;
    font-size: 12px;
  }
  a:visited { 
    color: #800080;
    font-family: Arial;
    font-size: 12px;
  }
  .hr {
    background-color: #336699;
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:link {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:active {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:visited {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  .dr {
    background-color: #FFFFFF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
  .sr {
    background-color: #FFFFCF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
</style>

<script src="jquery.min.js" type="text/javascript"></script>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />

</head>

<script>
$(document).ready(function(){
	$("#semestre").change(function(){
		$.post("carga_sem_todas.php",{ id:$(this).val(), c:document.form1.id_carrera.value, m:document.form1.mencion.value  },function(data){$("#materia").html(data);})
	});
})
</script>

<body>

<?php

mysql_select_db($database_conn, $conn);
$query_carreras = "SELECT id_carrera,nombre_carrera FROM carreras ORDER BY nombre_carrera";
$rst_carreras = mysql_query($query_carreras, $conn) or die(mysql_error());
$row_carreras = mysql_fetch_assoc($rst_carreras);
$totalRows_carreras = mysql_num_rows($rst_carreras);  

if($totalRows_carreras >0)
{
    $array_areas = array();
	 $array_carreras = array();
	$code=0;
	while($carrera = mysql_fetch_assoc($rst_carreras))
		{
			$array_carreras[$code] = $carrera["id_carrera"];		
			$array_areas[$code]=  $carrera["nombre_carrera"];	
			$code += 1;
		}
}
			
?>


<table class="bd" width="100%" align="center"><tr><td class="hr"><h2>Gesti&oacute;n de Acta en Hist&oacute;rico</h2></td></tr></table>
<form name="form1" id="form1" method="post" action="">
  <table width="40%" border="0" align="center" id="carga" cellpadding="1" cellspacing="6" style="border:1px solid #ccc;">
    <tr>
      <td width="101"><div align="right">Docente:</div></td>
      <td width="152"><label>
        <div align="left">
          <select name="profesor" id="profesor">
		  <option value="0">Sin Informaci&oacute;n...</option>
            <?php
do {  
?>
            <option value="<?php echo $row_rstDocentes['id_docente']?>"><?php echo $row_rstDocentes['apellidos'].' '.$row_rstDocentes['nombres']?></option>
            <?php
} while ($row_rstDocentes = mysql_fetch_assoc($rstDocentes));
  $rows = mysql_num_rows($rstDocentes);
  if($rows > 0) {
      mysql_data_seek($rstDocentes, 0);
	  $row_rstDocentes = mysql_fetch_assoc($rstDocentes);
  }
?>
          </select>
        </div>
      </label></td>
      <td width="86"><div align="right">Lapso:</div></td>
      <td width="213"><label>
        <div align="left">
          <select name="periodo" id="periodo">
            <?php
do {  
?>
            <option value="<?php echo $row_rstPeriodos['id_periodo']?>"><?php echo $row_rstPeriodos['codigo'].' ('.$row_rstPeriodos['tipo'].')' ?></option>
            <?php
} while ($row_rstPeriodos = mysql_fetch_assoc($rstPeriodos));
  $rows = mysql_num_rows($rstPeriodos);
  if($rows > 0) {
      mysql_data_seek($rstPeriodos, 0);
	  $row_rstPeriodos = mysql_fetch_assoc($rstPeriodos);
  }
?>
          </select>
        </div>
      </label></td>
    </tr>
    <tr>
      <td><div align="right">Secci&oacute;n:</div></td>
      <td colspan="3"><select name="seccion" id="seccion">
        <option value="0">Seleccione...</option>
        <option value="A">A</option>
        <option value="B">B</option>
        <option value="C">C</option>
        <option value="D">D</option>
        <option value="E">E</option>
        <option value="F">F</option>
        <option value="G">G</option>
        <option value="H">H</option>
        <option value="I">I</option>
        <option value="J">J</option>
        <option value="K">K</option>
        <option value="L">L</option>
        <option value="M">M</option>
        <option value="N">N</option>
        <option value="O">O</option>
        <option value="P">P</option>
        <option value="Q">Q</option>
        <option value="R">R</option>
        <option value="S">S</option>
        <option value="T">T</option>
        <option value="U">U</option>
        <option value="V">V</option>
        <option value="W">W</option>
        <option value="X">X</option>
        <option value="Y">Y</option>
        <option value="Z">Z</option>
      </select>
      Sede:
      <select name="sede" id="sede" >
	  <option value="0">Seleccione...</option>
        <?php
do {  
?>
        <option value="<?php echo $row_rstSede['codigo']?>"><?php echo $row_rstSede['nombre_sede']?></option>
        <?php
} while ($row_rstSede = mysql_fetch_assoc($rstSede));
  $rows = mysql_num_rows($rstSede);
  if($rows > 0) {
      mysql_data_seek($rstSede, 0);
	  $row_rstSede = mysql_fetch_assoc($rstSede);
  }
?>
      </select>
      Turno:&nbsp;
	  <select name="turno" id="turno" >
			<option  value="0">Seleccione...</option>
			<option  value="1">MATUTINO</option>
			<option  value="2">VESPERTINO</option>
			<option  value="4">NOCTURNO</option>
</select></td>
    </tr>
    
    <tr>
      <td><div align="right">Carrera:</div></td>
      <td colspan="3"><label>
        <select name="id_carrera" id="id_carrera" style="width:580px">
			<option  value="LCF">LICENCIATURA EN CIENCIAS FISCALES</option>
</select>
      </label></td>
    </tr>
    <tr>
      <td><div align="right">Menci&oacute;n:</div></td>
      <td colspan="3">
	  <select name="mencion" id="mencion" style="width:280px">
			<option  value="0">Seleccione...</option>
			<option  value="CIU">CIU</option>
			<option  value="CG">COMPONENTE GENERAL</option>
			<option  value="ACE">ADUANAS Y COMERCIO EXTERIOR</option>
			<option  value="FIN">FINANZAS P&Uacute;BLICAS</option>
			<option  value="RT">RENTAS</option>
</select>
	  &nbsp;&nbsp;Semestre:&nbsp;
	  <select name="semestre" id="semestre" >
			<option  value="99">Seleccione...</option>
			<option  value="0">CIU</option>
			<option  value="1">1</option>
			<option  value="2">2</option>
			<option  value="3">3</option>
			<option  value="4">4</option>
			<option  value="5">5</option>
			<option  value="6">6</option>
			<option  value="7">7</option>
			<option  value="8">8</option>
			<option  value="9">9</option>
			<option  value="10">10</option>
</select>	    </td>
    </tr>
    <tr>
      <td><div align="right">Unidad Curricular:</div></td>
      <td colspan="3"><label>
          <div align="left">
            <select name="materia" id="materia" style="width:580px">
              <option value="0">Seleccione...</option>
            </select>
          </div>
        </label></td>
    </tr>
    
    <tr>
      <td colspan="4"><div align="center">
        <label>
        <input name="Enviar" type="button" id="Enviar" value="Gestionar Acta" onClick="cargar_notas(document.form1.profesor.value,document.form1.periodo.value,document.form1.seccion.value,document.form1.sede.value,document.form1.materia.value,document.form1.id_carrera.value,document.form1.mencion.value,document.form1.turno.value,document.form1.semestre.value)">
        </label>
      </div></td>
    </tr>
  </table>
    <div align="center"></div>
  <div align="center"></div>
</form>
<p>&nbsp;</p>
</body>

 <script type="text/javascript">
	var nav4 = window.Event ? true : false;
	function soloNum(evt)
	{	
	// NOTE: Backspace = 8, Enter = 13, '0' = 48, '9' = 57, ','= 44, '.'= 46
		var key = nav4 ? evt.which : evt.keyCode;	
		//var str=obj.value;
	
		return (key == 8 || key == 13 || (key >= 48 && key <= 57));
	}
	
	function validar_datos()
	{
	 	if(document.form1.id_carrera.value==0){
			alert("El campo <<Programa>> es obligatorio");
			document.form1.id_carrera.focus();
			return false;
			}
		if(document.form1.mencion.value==0){
			alert("El campo <<Mención>> es obligatorio");
			document.form1.nacionalidad.focus();
			return false;
			}
		if(document.form1.materia.value==0){
			alert("El campo <<Unidad Curricular>> es obligatorio");
			document.form1.apellidos.focus();
			return false;
			}
			return true;
	}
	
	
	}
</script>
 <?php
mysql_free_result($rstDocentes);

mysql_free_result($rstSede);

mysql_free_result($rstPeriodos);

mysql_free_result($rstMaterias);

mysql_free_result($rstSecciones);

mysql_free_result($rstCarreras);
?>

<script type="text/javascript">
 function cargar_notas(profesor,periodo,seccion,sede,materia,carrera,mencion,turno,semestre)
  {

       if(document.form1.id_carrera.value==0){
			alert("El campo <<Carrera>> es obligatorio");
			document.form1.id_carrera.focus();
			return false;
			}
		if(document.form1.mencion.value==0){
			alert("El campo <<Mención>> es obligatorio");
			document.form1.mencion.focus();
			return false;
			}
		if(document.form1.materia.value==0){
			alert("El campo <<Unidad Curricular>> es obligatorio");
			document.form1.materia.focus();
			return false;
			}
		if(document.form1.seccion.value==0){
			alert("El campo <<Sección>> es obligatorio");
			document.form1.seccion.focus();
			return false;
			}	
		if(document.form1.semestre.value==99){
			alert("El campo <<Semestre>> es obligatorio");
			document.form1.semestre.focus();
			return false;
			}	
		if(document.form1.turno.value==0){
			alert("El campo <<Turno>> es obligatorio");
			document.form1.turno.focus();
			return false;
			}	
		if(document.form1.sede.value==0){
			alert("El campo <<Sede>> es obligatorio");
			document.form1.sede.focus();
			return false;
			}	
			
  
    window.document.location="cargar_historico.php?profesor="+profesor+"&periodo="+periodo+"&seccion="+seccion+"&sede="+sede+"&materia="+materia+"&carrera="+carrera+"&mencion="+mencion+"&turno="+turno+"&semestre="+semestre+"&a=reset";
   }
</script>

<?php
function obtener_ip()
  {
 if ($_SERVER) {  
    if ( $_SERVER[HTTP_X_FORWARDED_FOR] ) {  
    $realip = $_SERVER["HTTP_X_FORWARDED_FOR"];  
   } elseif ( $_SERVER["HTTP_CLIENT_IP"] ) {  
$realip = $_SERVER["HTTP_CLIENT_IP"];  
} else  {  
$realip = $_SERVER["REMOTE_ADDR"];  
}  
} else {  
if ( getenv( 'HTTP_X_FORWARDED_FOR' ) ) {  
$realip = getenv( 'HTTP_X_FORWARDED_FOR' );  
} elseif ( getenv( 'HTTP_CLIENT_IP' ) ) {  
$realip = getenv( 'HTTP_CLIENT_IP' );  
} else {  
$realip = getenv( 'REMOTE_ADDR' );  
}  
}  
return $realip;  
  }
?>
